# eric7.Plugins.VcsPlugins.vcsMercurial.HgCopyDialog

Module implementing a dialog to enter the data for a copy or rename operation.

### Global Attributes

None

### Classes

HgCopyDialog | Class implementing a dialog to enter the data for a copy or rename operation.

### Functions

None

## HgCopyDialog

Class implementing a dialog to enter the data for a copy or rename operation.

### Derived from

QDialog, Ui_HgCopyDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgCopyDialog | Constructor
getData | Public method to retrieve the copy data.
on_targetPicker_textChanged | Private slot to handle changes of the target.

### Static Methods

None

#### HgCopyDialog (Constructor)

HgCopyDialog(source, parent=None, move=False)

Constructor

source
  name of the source file/directory (string)
parent
  parent widget (QWidget)
move
  flag indicating a move operation (boolean)

#### HgCopyDialog.getData

getData()

Public method to retrieve the copy data.

Return:
  the target name (string) and a flag indicating the operation should be enforced (boolean)

#### HgCopyDialog.on_targetPicker_textChanged

on_targetPicker_textChanged(txt)

Private slot to handle changes of the target.

txt
  contents of the target edit (string)

Up